package dfatool.expressions;

import dfatool.strategy.elements.Context;
import dfatool.values.Value;

public abstract class Expression {
	String type;
	
	public String getType(){
		return type;
	}
	
	public void setType(String t){
		this.type = t;
	}
	
//	public abstract String toString();
	
	public abstract Value evaluate(Context c);
	public abstract boolean checkType(Context c);
	
	public abstract String toConcreteSyntax();

}
